
Redmine - Defect #22020

Internal error - My Page

2016-02-12 10:37 - jeff hey

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: My page Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.4

Description

Hello,

Playing move the modules on "my page", is this message appeared:

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Back

 Since I am unable to access "..my/Page" or "/my/page_layout". (Only my account is affected.)

log:

Started GET "/my/page" for 127.0.0.1 at 2016-02-12 10:34:56 +0100

Processing by MyController#page as HTML

  Current user: jefbey (id=68)

  Rendered plugins/redmine_contacts/app/views/my/blocks/_my_deals.html.erb (10.2ms)

  Rendered my/page.html.erb within layouts/base (11.3ms)

Completed 500 Internal Server Error in 20ms

ActionView::Template::Error (undefined method `visible' for #<Class:0x000000044bd558>):

    1: <h3><%= l(:label_my_deal_plural) %></h3>

    2:

    3: <% deals = Deal.visible.open.find(:all, :conditions => {:assigned_to_id  => User.current.id

}, :limit => 20) %>

    4:

    5: <div class="box" id="duplicates">

    6:  <ul>

  app/views/my/page.html.erb:11:in `block in _app_views_my_page_html_erb___2133875051864950023_663

10220'

  app/views/my/page.html.erb:8:in `each'

  app/views/my/page.html.erb:8:in `_app_views_my_page_html_erb___2133875051864950023_66310220'

 Thanks in advance

History

#1 - 2016-02-12 11:58 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

Probably it was caused by redmine_contacts plugin. Please contact the author of the plugin.

#2 - 2016-10-15 07:10 - HJ Blokland

Got the same problem, how did you fix it jeff?
